function lap_phi= laplacian (phi,op)  
  ## As the matrix is symmetric we don't need to check if op indicates
  ## transpose
  global h n
  
  ## Put in rectangular form  
  phi=reshape(phi,n-1,n-1);  

  ## range of indices of internal nodes
  II=(2:n);  JJ=II;  
  ## Include the boundary nodes
  Phi=zeros(n+1);
  Phi((2:n),(2:n))=phi;
  
  ## Use the standard 5 point formula
  lap_phi=((-Phi(II+1,JJ)...
            -Phi(II-1,JJ)...
            -Phi(II,JJ+1)...
            -Phi(II,JJ-1)...
            +4*Phi(II,JJ))/h^2);
  lap_phi=lap_phi(:);
endfunction
